Bug 808807 - Fedora 16 do not recognize UltraBook's touchpad
Fedora 16 do not recognize UltraBook's touchpad
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 02:31 EDT by liunian
Modified: 2012-11-14 10:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:19:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg under ubuntu 12.04 (246.94 KB, text/x-log)
2012-09-05 10:49 EDT, liunian
no flags Details
xinput under ubuntu 12.04 (1002 bytes, text/x-log)
2012-09-05 10:50 EDT, liunian
no flags Details

  None (edit)
Description liunian 2012-04-01 02:31:07 EDT
Description of problem:

Fedora 16(64bit, kernel: 3.3.0-8.fc16.x86_64) do not recognize my new UltraBook's touchpad


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 16 Beta from LiveCD.
3. Update to latest versions.
4. Still not recognized.
  
Actual results:
The touchpad do not work.

Expected results:
Work normally


Additional info:
(Using Microsoft wireless mouse now)

#lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 045e:0745 Microsoft Corp. Nano Transceiver v1.0 for Bluetooth

#lspci

00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b5)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation HM65 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
01:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 05)

#xinput list

⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ Microsoft Microsoft® Nano Transceiver v2.0	id=11	[slave  pointer  (2)]
⎜   ↳ Microsoft Microsoft® Nano Transceiver v2.0	id=12	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Power Button                            	id=8	[slave  keyboard (3)]
    ↳ Sleep Button                            	id=9	[slave  keyboard (3)]
    ↳ Microsoft Microsoft® Nano Transceiver v2.0	id=10	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=13	[slave  keyboard (3)]
Comment 1 Josh Boyer 2012-09-05 09:47:40 EDT
Which ultrabook is this, or if you know if it has an ALPS or Cypress touchpad that would also be useful to know.
Comment 2 liunian 2012-09-05 10:09:57 EDT
Ubuntu 12.04 has the same problem.

But when I change the "GRUB_CMDLINE_LINUX" to "i8042.reset i8042.nomux i8042.nopnp i8042.noloop" in /etc/default/grub and update the grub, it's OK now.

May be this information is useful to you.
Comment 3 Josh Boyer 2012-09-05 10:38:11 EDT
(In reply to comment #2)
> Ubuntu 12.04 has the same problem.
> 
> But when I change the "GRUB_CMDLINE_LINUX" to "i8042.reset i8042.nomux
> i8042.nopnp i8042.noloop" in /etc/default/grub and update the grub, it's OK
> now.
> 
> May be this information is useful to you.

Not exactly.

Could you answer the question I asked earlier, and attach the output of 'dmesg' and 'xinput'?
Comment 4 liunian 2012-09-05 10:49:59 EDT
Created attachment 610077 [details]
dmesg under ubuntu 12.04
Comment 5 liunian 2012-09-05 10:50:50 EDT
Created attachment 610081 [details]
xinput under ubuntu 12.04
Comment 6 Josh Boyer 2012-09-05 10:51:57 EDT
Do you no longer have Fedora installed on this machine?
Comment 7 liunian 2012-09-05 10:54:29 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Ubuntu 12.04 has the same problem.
> > 
> > But when I change the "GRUB_CMDLINE_LINUX" to "i8042.reset i8042.nomux
> > i8042.nopnp i8042.noloop" in /etc/default/grub and update the grub, it's OK
> > now.
> > 
> > May be this information is useful to you.
> 
> Not exactly.
> 
> Could you answer the question I asked earlier, and attach the output of
> 'dmesg' and 'xinput'?

Sorry to say that I'm now using Ubuntu 12.04.

The touchpad in my ultrabook is a product of Sentelic(http://www.sentelic.com/en/solution_product.php?sn=18).
Comment 8 Dave Jones 2012-10-23 11:33:06 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 9 Justin M. Forbes 2012-11-14 10:19:46 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.